al_build_menu(3)

NAME

al_build_menu - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    ALLEGRO_MENU *al_build_menu(ALLEGRO_MENU_INFO *info)

DESCRIPTION

Builds a menu based on the specifications of a sequence of ALLEGRO_MENU_INFO elements.

Returns a pointer to the root ALLEGRO_MENU, or NULL on failure. To gain access to the other menus and items, you will need to search for them using al_find_menu_item(3).

SINCE

5.1.0

SEE ALSO

ALLEGRO_MENU_INFO(3), al_create_menu(3), al_create_popup_menu(3)